aboutsummaryrefslogtreecommitdiff
path: root/mail/sqwebmail/files
diff options
context:
space:
mode:
authorOliver Lehmann <oliver@FreeBSD.org>2003-08-03 09:04:52 +0000
committerOliver Lehmann <oliver@FreeBSD.org>2003-08-03 09:04:52 +0000
commit15892aafaa55640c3eedd2d9979ed4e923c50f2c (patch)
tree0a2302e24b943ec3a0945e2832a1e45b8f38dd50 /mail/sqwebmail/files
parent1621e3cc550ff0833ecde8b99500a6941a3ad0c0 (diff)
Notes
Diffstat (limited to 'mail/sqwebmail/files')
-rw-r--r--mail/sqwebmail/files/sqwebmail-authdaemond.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/mail/sqwebmail/files/sqwebmail-authdaemond.sh b/mail/sqwebmail/files/sqwebmail-authdaemond.sh
new file mode 100644
index 000000000000..cd05b44900b1
--- /dev/null
+++ b/mail/sqwebmail/files/sqwebmail-authdaemond.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+case "$1" in
+start)
+ [ -r ${PREFIX}/share/sqwebmail/authdaemonrc ] && ${PREFIX}/libexec/sqwebmail/authlib/authdaemond start > /dev/null && echo -n ' authdaemond'
+ ;;
+stop)
+ ${PREFIX}/libexec/sqwebmail/authlib/authdaemond stop > /dev/null && echo -n ' authdaemond'
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ ;;
+esac
+
+exit 0
+